---
title: Layout mode
slug: Web/CSS/Layout_mode
tags:
  - CSS
  - Guide
  - Layout
  - Reference
---
<div>{{cssref}}</div>

<p>A <a href="/en-US/docs/Web/CSS">CSS</a> <strong>layout mode</strong>, sometimes called <em>layout</em>, is an algorithm that determines the position and size of boxes based on the way they interact with their sibling and ancestor boxes. There are several of them:</p>

<ul>
 <li><em><a href="/en-US/docs/Web/CSS/CSS_Flow_Layout">Normal flow</a></em> — all elements are part of normal flow until you do something to take them out of it. Normal flow includes <em>block layout</em>, designed for laying out boxes such as paragraphs and <em>inline layout</em>, which lays out inline items such as text.</li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Table"><em>Table layout</em></a>, designed for laying out tables.</li>
 <li><em>Float layout</em>, designed to cause an item to position itself left or right with the rest of the content in normal flow wrapping around it.</li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Positioning"><em>Positioned layout</em></a>, designed for positioning elements without much interaction with other elements.</li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Columns"><em>Multi-column layout</em></a>, designed for laying content out in columns as in a newspaper.</li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout"><em>Flexible box layout</em></a>, designed for laying out complex pages that can be resized smoothly.</li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Grid_Layout"><em>Grid layout</em></a>, designed for laying out elements relative to a fixed grid.</li>
</ul>

<div class="note">
<p><strong>Note:</strong> Not all <a href="/en-US/docs/Web/CSS/Reference">CSS properties</a> apply to all <em>layout modes</em>. Most of them apply to one or two of them and have no effect if they are set on an element participating in another layout mode.</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{CSS_key_concepts}}</li>
</ul>
